Skip to main content
GET
/
api
/
payments
/
prices
List Prices
curl --request GET \
  --url https://api.example.com/api/payments/prices \
  --header 'Authorization: Bearer <token>'
{
  "prices": [
    {
      "environment": "test",
      "stripePriceId": "price_123",
      "stripeProductId": "prod_123",
      "active": true,
      "currency": "usd",
      "unitAmount": 2900,
      "unitAmountDecimal": "2900",
      "type": "recurring",
      "lookupKey": "pro_monthly",
      "billingScheme": "per_unit",
      "taxBehavior": "unspecified",
      "recurringInterval": "month",
      "recurringIntervalCount": 1,
      "metadata": {},
      "syncedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.insforge.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

environment
enum<string>
required

Stripe environment.

Available options:
test,
live
stripeProductId
string

Filter prices by Stripe product ID.

Minimum string length: 1

Response

Prices

prices
object[]
required